package data

type (
	// CORSConfiguration stores CORS configuration of a request.
	CORSConfiguration struct {
		CORSRules []CORSRule `xml:"CORSRule" json:"CORSRules"`
	}

	// CORSRule stores rules for CORS configuration.
	CORSRule struct {
		AllowedHeaders     []string `xml:"AllowedHeader" json:"AllowedHeaders"`
		AllowedMethods     []string `xml:"AllowedMethod" json:"AllowedMethods"`
		AllowedOrigins     []string `xml:"AllowedOrigin" json:"AllowedOrigins"`
		ExposeHeaders      []string `xml:"ExposeHeader" json:"ExposeHeaders"`
		MaxAgeSeconds      int      `xml:"MaxAgeSeconds,omitempty" json:"MaxAgeSeconds,omitempty"`
		AllowedCredentials bool     `xml:"AllowedCredentials,omitempty" json:"AllowedCredentials,omitempty"`
	}
)
