package data

import (
	oid "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/object/id"
)

// NodeVersion represent node from tree service.
type NodeVersion struct {
	BaseNodeVersion
}

// BaseNodeVersion is minimal node info from tree service.
// Basically used for "system" object.
type BaseNodeVersion struct {
	ID             uint64
	OID            oid.ID
	IsDeleteMarker bool
}

type NodeInfo struct {
	Meta []NodeMeta
}

type NodeMeta interface {
	GetKey() string
	GetValue() []byte
}
